> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List person records 

> Lists person records, with the option to filter and sort results.

Required scopes: `record_permission:read`, `object_configuration:read`.



## OpenAPI

````yaml https://api.attio.com/openapi/standard-objects post /v2/objects/people/records/query
openapi: 3.1.0
info:
  title: Attio Standard Objects
  version: 2.0.0
servers:
  - url: https://api.attio.com
    description: Production
security:
  - oauth2: []
paths:
  /v2/objects/people/records/query:
    post:
      tags:
        - People
      summary: 'List person records '
      description: |-
        Lists person records, with the option to filter and sort results.

        Required scopes: `record_permission:read`, `object_configuration:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  description: >-
                    An object used to filter results to a subset of records. See
                    the [full guide to filtering and sorting
                    here](/rest-api/guides/filtering-and-sorting).
                  additionalProperties: true
                  example:
                    $and:
                      - name:
                          first_name:
                            $eq: John
                          last_name:
                            $eq: Smith
                      - description:
                          value:
                            $contains: event
                sorts:
                  type: array
                  items:
                    anyOf:
                      - type: object
                        properties:
                          direction:
                            type: string
                            enum:
                              - asc
                              - desc
                            description: The direction to sort the results by.
                          attribute:
                            type: string
                            description: A slug or ID to identify the attribute to sort by.
                          field:
                            type: string
                            description: >-
                              Which field on the value to sort by e.g.
                              "last_name" on a name value.
                        required:
                          - direction
                          - attribute
                        description: Sort by attribute
                      - type: object
                        properties:
                          direction:
                            type: string
                            enum:
                              - asc
                              - desc
                            description: The direction to sort the results by.
                          path:
                            type: array
                            items:
                              type: array
                              items:
                                anyOf:
                                  - type: string
                                    description: >-
                                      The slug or ID of the object e.g.
                                      "people".
                                  - type: string
                                    description: >-
                                      A slug or ID to identify the attribute to
                                      sort by.
                              minItems: 2
                              maxItems: 2
                            description: >-
                              You may use the `path` property to traverse record
                              reference attributes and parent records on list
                              entries. `path` accepts an array of tuples where
                              the first element of each tuple is the slug or ID
                              of a list/object, and the second element is the
                              slug or ID of an attribute on that list/object.
                              The first element of the first tuple must
                              correspond to the list or object that you are
                              querying. For example, if you wanted to sort by
                              the name of the parent record (a company) on a
                              list with the slug "sales", you would pass the
                              value `[['sales', 'parent_record'], ['companies',
                              'name']]`.
                          field:
                            type: string
                            description: >-
                              Which field on the value to sort by e.g.
                              "last_name" on a name value.
                        required:
                          - direction
                          - path
                        description: Sort by path
                  description: >-
                    An object used to sort results. See the [full guide to
                    filtering and sorting
                    here](/rest-api/guides/filtering-and-sorting).
                  example:
                    - direction: asc
                      attribute: name
                      field: last_name
                limit:
                  type: number
                  description: >-
                    The maximum number of results to return. Defaults to 500.
                    See the [full guide to pagination
                    here](/rest-api/guides/pagination).
                  example: 500
                offset:
                  type: number
                  description: >-
                    The number of results to skip over before returning.
                    Defaults to 0. See the [full guide to pagination
                    here](/rest-api/guides/pagination).
                  example: 0
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: object
                          properties:
                            workspace_id:
                              type: string
                              format: uuid
                              description: >-
                                A UUID identifying the workspace this record
                                belongs to.
                              example: 14beef7a-99f7-4534-a87e-70b564330a4c
                            object_id:
                              type: string
                              format: uuid
                              description: >-
                                A UUID identifying the object this record
                                belongs to.
                              example: 97052eb9-e65e-443f-a297-f2d9a4a7f795
                            record_id:
                              type: string
                              format: uuid
                              description: A UUID identifying this record.
                              example: bf071e1f-6035-429d-b874-d83ea64ea13b
                          required:
                            - workspace_id
                            - object_id
                            - record_id
                        created_at:
                          type: string
                          description: When this record was created.
                          example: '2022-11-21T13:22:49.061281000Z'
                        web_url:
                          type: string
                          format: uri
                          description: >-
                            A URL that links directly to the record page in the
                            Attio web application.
                          example: >-
                            https://app.attio.com/salarya/person/bf071e1f-6035-429d-b874-d83ea64ea13b
                        values:
                          type: object
                          properties:
                            email_addresses:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  original_email_address:
                                    type: string
                                    example: alice@app.attio.com
                                  email_address:
                                    type: string
                                    example: alice@app.attio.com
                                  email_domain:
                                    type: string
                                    example: app.attio.com
                                  email_root_domain:
                                    type: string
                                    example: attio.com
                                  email_local_specifier:
                                    type: string
                                    example: alice
                                  attribute_type:
                                    type: string
                                    enum:
                                      - email-address
                                    description: The attribute type of the value.
                                    example: email-address
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - original_email_address
                                  - email_address
                                  - email_domain
                                  - email_root_domain
                                  - email_local_specifier
                                  - attribute_type
                            name:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  first_name:
                                    type: string
                                    description: The first name.
                                    example: Ada
                                  last_name:
                                    type: string
                                    description: The last name.
                                    example: Lovelace
                                  full_name:
                                    type: string
                                    description: The full name.
                                    example: Ada Lovelace
                                  attribute_type:
                                    type: string
                                    enum:
                                      - personal-name
                                    description: The attribute type of the value.
                                    example: personal-name
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - first_name
                                  - last_name
                                  - full_name
                                  - attribute_type
                                additionalProperties: false
                            description:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  value:
                                    type: string
                                    description: >-
                                      A raw text field. Values are limited to
                                      10MB.
                                    example: >-
                                      Lorem ipsum dolor sit amet, consectetur
                                      adipiscing elit, sed do eiusmod tempor
                                      incididunt ut labore et dolore magna
                                      aliqua.
                                  attribute_type:
                                    type: string
                                    enum:
                                      - text
                                    description: The attribute type of the value.
                                    example: text
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - value
                                  - attribute_type
                                additionalProperties: false
                            avatar_url:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  value:
                                    type: string
                                    description: >-
                                      A raw text field. Values are limited to
                                      10MB.
                                    example: >-
                                      Lorem ipsum dolor sit amet, consectetur
                                      adipiscing elit, sed do eiusmod tempor
                                      incididunt ut labore et dolore magna
                                      aliqua.
                                  attribute_type:
                                    type: string
                                    enum:
                                      - text
                                    description: The attribute type of the value.
                                    example: text
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - value
                                  - attribute_type
                                additionalProperties: false
                            job_title:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  value:
                                    type: string
                                    description: >-
                                      A raw text field. Values are limited to
                                      10MB.
                                    example: >-
                                      Lorem ipsum dolor sit amet, consectetur
                                      adipiscing elit, sed do eiusmod tempor
                                      incididunt ut labore et dolore magna
                                      aliqua.
                                  attribute_type:
                                    type: string
                                    enum:
                                      - text
                                    description: The attribute type of the value.
                                    example: text
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - value
                                  - attribute_type
                                additionalProperties: false
                            phone_numbers:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  original_phone_number:
                                    type: string
                                    description: >-
                                      The raw, original phone number, as
                                      inputted.
                                    example: '5558675309'
                                  country_code:
                                    type: string
                                    description: >-
                                      The ISO 3166-1 alpha-2 country code
                                      representing the country that this phone
                                      number belongs to.
                                    enum:
                                      - AF
                                      - AX
                                      - AL
                                      - DZ
                                      - AS
                                      - AD
                                      - AO
                                      - AI
                                      - AQ
                                      - AG
                                      - AR
                                      - AM
                                      - AW
                                      - AU
                                      - AT
                                      - AZ
                                      - BS
                                      - BH
                                      - BD
                                      - BB
                                      - BY
                                      - BE
                                      - BZ
                                      - BJ
                                      - BM
                                      - BT
                                      - BO
                                      - BA
                                      - BW
                                      - BV
                                      - BR
                                      - IO
                                      - BN
                                      - BG
                                      - BF
                                      - BI
                                      - KH
                                      - CM
                                      - CA
                                      - CV
                                      - KY
                                      - CF
                                      - TD
                                      - CL
                                      - CN
                                      - CX
                                      - CC
                                      - CO
                                      - KM
                                      - CG
                                      - CD
                                      - CK
                                      - CR
                                      - CI
                                      - HR
                                      - CU
                                      - CW
                                      - CY
                                      - CZ
                                      - DK
                                      - DJ
                                      - DM
                                      - DO
                                      - EC
                                      - EG
                                      - SV
                                      - GQ
                                      - ER
                                      - EE
                                      - ET
                                      - FK
                                      - FO
                                      - FJ
                                      - FI
                                      - FR
                                      - GF
                                      - PF
                                      - TF
                                      - GA
                                      - GM
                                      - GE
                                      - DE
                                      - GH
                                      - GI
                                      - GR
                                      - GL
                                      - GD
                                      - GP
                                      - GU
                                      - GT
                                      - GG
                                      - GN
                                      - GW
                                      - GY
                                      - HT
                                      - HM
                                      - VA
                                      - HN
                                      - HK
                                      - HU
                                      - IS
                                      - IN
                                      - ID
                                      - IR
                                      - IQ
                                      - IE
                                      - IM
                                      - IL
                                      - IT
                                      - JM
                                      - JP
                                      - JE
                                      - JO
                                      - KZ
                                      - KE
                                      - KI
                                      - KR
                                      - KW
                                      - KG
                                      - LA
                                      - LV
                                      - LB
                                      - LS
                                      - LR
                                      - LY
                                      - LI
                                      - LT
                                      - LU
                                      - MO
                                      - MK
                                      - MG
                                      - MW
                                      - MY
                                      - MV
                                      - ML
                                      - MT
                                      - MH
                                      - MQ
                                      - MR
                                      - MU
                                      - YT
                                      - MX
                                      - FM
                                      - MD
                                      - MC
                                      - MN
                                      - ME
                                      - MS
                                      - MA
                                      - MZ
                                      - MM
                                      - NA
                                      - NR
                                      - NP
                                      - NL
                                      - AN
                                      - NC
                                      - NZ
                                      - NI
                                      - NE
                                      - NG
                                      - NU
                                      - NF
                                      - MP
                                      - 'NO'
                                      - OM
                                      - PK
                                      - PW
                                      - PS
                                      - PA
                                      - PG
                                      - PY
                                      - PE
                                      - PH
                                      - PN
                                      - PL
                                      - PT
                                      - PR
                                      - QA
                                      - RE
                                      - RO
                                      - RU
                                      - RW
                                      - BL
                                      - SH
                                      - KN
                                      - LC
                                      - MF
                                      - PM
                                      - VC
                                      - WS
                                      - SM
                                      - ST
                                      - SA
                                      - SN
                                      - SS
                                      - RS
                                      - SC
                                      - SL
                                      - SG
                                      - SK
                                      - SI
                                      - SB
                                      - SO
                                      - ZA
                                      - GS
                                      - ES
                                      - LK
                                      - SD
                                      - SR
                                      - SJ
                                      - SZ
                                      - SE
                                      - CH
                                      - SY
                                      - TW
                                      - TJ
                                      - TZ
                                      - TH
                                      - TL
                                      - TG
                                      - TK
                                      - TO
                                      - TT
                                      - TN
                                      - TR
                                      - TM
                                      - TC
                                      - TV
                                      - UG
                                      - UA
                                      - AE
                                      - GB
                                      - US
                                      - UM
                                      - UY
                                      - UZ
                                      - VU
                                      - VE
                                      - VN
                                      - VG
                                      - VI
                                      - WF
                                      - EH
                                      - YE
                                      - ZM
                                      - ZW
                                      - BQ
                                      - KP
                                      - SX
                                      - XK
                                      - AC
                                    example: US
                                  phone_number:
                                    type: string
                                    example: '+15558675309'
                                  attribute_type:
                                    type: string
                                    enum:
                                      - phone-number
                                    description: The attribute type of the value.
                                    example: phone-number
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - original_phone_number
                                  - country_code
                                  - phone_number
                                  - attribute_type
                            linkedin:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  value:
                                    type: string
                                    description: >-
                                      A raw text field. Values are limited to
                                      10MB.
                                    example: >-
                                      Lorem ipsum dolor sit amet, consectetur
                                      adipiscing elit, sed do eiusmod tempor
                                      incididunt ut labore et dolore magna
                                      aliqua.
                                  attribute_type:
                                    type: string
                                    enum:
                                      - text
                                    description: The attribute type of the value.
                                    example: text
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - value
                                  - attribute_type
                                additionalProperties: false
                            twitter:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  value:
                                    type: string
                                    description: >-
                                      A raw text field. Values are limited to
                                      10MB.
                                    example: >-
                                      Lorem ipsum dolor sit amet, consectetur
                                      adipiscing elit, sed do eiusmod tempor
                                      incididunt ut labore et dolore magna
                                      aliqua.
                                  attribute_type:
                                    type: string
                                    enum:
                                      - text
                                    description: The attribute type of the value.
                                    example: text
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - value
                                  - attribute_type
                                additionalProperties: false
                            facebook:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  value:
                                    type: string
                                    description: >-
                                      A raw text field. Values are limited to
                                      10MB.
                                    example: >-
                                      Lorem ipsum dolor sit amet, consectetur
                                      adipiscing elit, sed do eiusmod tempor
                                      incididunt ut labore et dolore magna
                                      aliqua.
                                  attribute_type:
                                    type: string
                                    enum:
                                      - text
                                    description: The attribute type of the value.
                                    example: text
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - value
                                  - attribute_type
                                additionalProperties: false
                            instagram:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  value:
                                    type: string
                                    description: >-
                                      A raw text field. Values are limited to
                                      10MB.
                                    example: >-
                                      Lorem ipsum dolor sit amet, consectetur
                                      adipiscing elit, sed do eiusmod tempor
                                      incididunt ut labore et dolore magna
                                      aliqua.
                                  attribute_type:
                                    type: string
                                    enum:
                                      - text
                                    description: The attribute type of the value.
                                    example: text
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - value
                                  - attribute_type
                                additionalProperties: false
                            angellist:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  value:
                                    type: string
                                    description: >-
                                      A raw text field. Values are limited to
                                      10MB.
                                    example: >-
                                      Lorem ipsum dolor sit amet, consectetur
                                      adipiscing elit, sed do eiusmod tempor
                                      incididunt ut labore et dolore magna
                                      aliqua.
                                  attribute_type:
                                    type: string
                                    enum:
                                      - text
                                    description: The attribute type of the value.
                                    example: text
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - value
                                  - attribute_type
                                additionalProperties: false
                            primary_location:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  line_1:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The first line of the address. Note that
                                      this value is not currently represented in
                                      the UI but will be persisted and readable
                                      through API calls.
                                    example: 1 Infinite Loop
                                  line_2:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The second line of the address. Note that
                                      this value is not currently represented in
                                      the UI but will be persisted and readable
                                      through API calls.
                                    example: Block 1
                                  line_3:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The third line of the address. Note that
                                      this value is not currently represented in
                                      the UI but will be persisted and readable
                                      through API calls.
                                    example: Hilldrop Estate
                                  line_4:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The fourth line of the address. Note that
                                      this value is not currently represented in
                                      the UI but will be persisted and readable
                                      through API calls.
                                    example: Westborough
                                  locality:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The town, neighborhood or area the
                                      location is in.
                                    example: Cupertino
                                  region:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The state, county, province or region that
                                      the location is in.
                                    example: CA
                                  postcode:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The postcode or zip code for the location.
                                      Note that this value is not currently
                                      represented in the UI but will be
                                      persisted and readable through API calls.}
                                    example: '95014'
                                  country_code:
                                    type:
                                      - string
                                      - 'null'
                                    enum:
                                      - AF
                                      - AX
                                      - AL
                                      - DZ
                                      - AS
                                      - AD
                                      - AO
                                      - AI
                                      - AQ
                                      - AG
                                      - AR
                                      - AM
                                      - AW
                                      - AU
                                      - AT
                                      - AZ
                                      - BS
                                      - BH
                                      - BD
                                      - BB
                                      - BY
                                      - BE
                                      - BZ
                                      - BJ
                                      - BM
                                      - BT
                                      - BO
                                      - BA
                                      - BW
                                      - BV
                                      - BR
                                      - IO
                                      - BN
                                      - BG
                                      - BF
                                      - BI
                                      - KH
                                      - CM
                                      - CA
                                      - CV
                                      - KY
                                      - CF
                                      - TD
                                      - CL
                                      - CN
                                      - CX
                                      - CC
                                      - CO
                                      - KM
                                      - CG
                                      - CD
                                      - CK
                                      - CR
                                      - CI
                                      - HR
                                      - CU
                                      - CW
                                      - CY
                                      - CZ
                                      - DK
                                      - DJ
                                      - DM
                                      - DO
                                      - EC
                                      - EG
                                      - SV
                                      - GQ
                                      - ER
                                      - EE
                                      - ET
                                      - FK
                                      - FO
                                      - FJ
                                      - FI
                                      - FR
                                      - GF
                                      - PF
                                      - TF
                                      - GA
                                      - GM
                                      - GE
                                      - DE
                                      - GH
                                      - GI
                                      - GR
                                      - GL
                                      - GD
                                      - GP
                                      - GU
                                      - GT
                                      - GG
                                      - GN
                                      - GW
                                      - GY
                                      - HT
                                      - HM
                                      - VA
                                      - HN
                                      - HK
                                      - HU
                                      - IS
                                      - IN
                                      - ID
                                      - IR
                                      - IQ
                                      - IE
                                      - IM
                                      - IL
                                      - IT
                                      - JM
                                      - JP
                                      - JE
                                      - JO
                                      - KZ
                                      - KE
                                      - KI
                                      - KR
                                      - KW
                                      - KG
                                      - LA
                                      - LV
                                      - LB
                                      - LS
                                      - LR
                                      - LY
                                      - LI
                                      - LT
                                      - LU
                                      - MO
                                      - MK
                                      - MG
                                      - MW
                                      - MY
                                      - MV
                                      - ML
                                      - MT
                                      - MH
                                      - MQ
                                      - MR
                                      - MU
                                      - YT
                                      - MX
                                      - FM
                                      - MD
                                      - MC
                                      - MN
                                      - ME
                                      - MS
                                      - MA
                                      - MZ
                                      - MM
                                      - NA
                                      - NR
                                      - NP
                                      - NL
                                      - AN
                                      - NC
                                      - NZ
                                      - NI
                                      - NE
                                      - NG
                                      - NU
                                      - NF
                                      - MP
                                      - 'NO'
                                      - OM
                                      - PK
                                      - PW
                                      - PS
                                      - PA
                                      - PG
                                      - PY
                                      - PE
                                      - PH
                                      - PN
                                      - PL
                                      - PT
                                      - PR
                                      - QA
                                      - RE
                                      - RO
                                      - RU
                                      - RW
                                      - BL
                                      - SH
                                      - KN
                                      - LC
                                      - MF
                                      - PM
                                      - VC
                                      - WS
                                      - SM
                                      - ST
                                      - SA
                                      - SN
                                      - SS
                                      - RS
                                      - SC
                                      - SL
                                      - SG
                                      - SK
                                      - SI
                                      - SB
                                      - SO
                                      - ZA
                                      - GS
                                      - ES
                                      - LK
                                      - SD
                                      - SR
                                      - SJ
                                      - SZ
                                      - SE
                                      - CH
                                      - SY
                                      - TW
                                      - TJ
                                      - TZ
                                      - TH
                                      - TL
                                      - TG
                                      - TK
                                      - TO
                                      - TT
                                      - TN
                                      - TR
                                      - TM
                                      - TC
                                      - TV
                                      - UG
                                      - UA
                                      - AE
                                      - GB
                                      - US
                                      - UM
                                      - UY
                                      - UZ
                                      - VU
                                      - VE
                                      - VN
                                      - VG
                                      - VI
                                      - WF
                                      - EH
                                      - YE
                                      - ZM
                                      - ZW
                                      - BQ
                                      - KP
                                      - SX
                                      - XK
                                      - AC
                                    description: >-
                                      The ISO 3166-1 alpha-2 country code for
                                      the country this location is in.
                                    example: US
                                  latitude:
                                    type:
                                      - string
                                      - 'null'
                                    pattern: ^[-+]?([1-8]?\d(\.\d+)?|90(\.0+)?)$
                                    description: >-
                                      The latitude of the location. Validated by
                                      the regular expression
                                      `/^[-+]?([1-8]?\d(\.\d+)?|90(\.0+)?)$/`.
                                      Values are stored with up to 9 decimal
                                      places of precision. Note that this value
                                      is not currently represented in the UI but
                                      will be persisted and readable through API
                                      calls.}
                                    example: '37.331741'
                                  longitude:
                                    type:
                                      - string
                                      - 'null'
                                    pattern: >-
                                      ^[-+]?(180(\.0+)?|((1[0-7]\d)|([1-9]?\d))(\.\d+)?)$
                                    description: >-
                                      The longitude of the location. Validated
                                      by the regular expression
                                      `/^[-+]?(180(\.0+)?|((1[0-7]\d)|([1-9]?\d))(\.\d+)?)$/`.
                                      Values are stored with up to 9 decimal
                                      places of precision. Note that this value
                                      is not currently represented in the UI but
                                      will be persisted and readable through API
                                      calls.}
                                    example: '-122.030333'
                                  attribute_type:
                                    type: string
                                    enum:
                                      - location
                                    description: The attribute type of the value.
                                    example: location
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - line_1
                                  - line_2
                                  - line_3
                                  - line_4
                                  - locality
                                  - region
                                  - postcode
                                  - country_code
                                  - latitude
                                  - longitude
                                  - attribute_type
                                additionalProperties: false
                            twitter_follower_count:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  value:
                                    type: number
                                    description: Numbers are persisted as 64 bit floats.
                                    example: 42
                                  attribute_type:
                                    type: string
                                    enum:
                                      - number
                                    description: The attribute type of the value.
                                    example: number
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - value
                                  - attribute_type
                            company:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  target_object:
                                    type: string
                                    description: >-
                                      A slug identifying the object that the
                                      referenced record belongs to.
                                    example: people
                                  target_record_id:
                                    type: string
                                    format: uuid
                                    description: A UUID to identify the referenced record.
                                    example: 891dcbfc-9141-415d-9b2a-2238a6cc012d
                                  attribute_type:
                                    type: string
                                    enum:
                                      - record-reference
                                    description: The attribute type of the value.
                                    example: record-reference
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - target_object
                                  - target_record_id
                                  - attribute_type
                                additionalProperties: false
                          description: >-
                            An object with `attribute_slug` keys, and an array
                            of value objects as the values. Attributes slugs
                            (for example `email_addresses` or `name`) can be
                            used, including custom attribute slugs.
                          example:
                            strongest_connection_strength_legacy:
                              - active_from: '2023-01-01T15:00:00.000000000Z'
                                active_until: null
                                created_by_actor:
                                  type: system
                                  id: null
                                value: 54.725113205693695
                                attribute_type: number
                            last_interaction:
                              - active_from: '2023-01-01T15:00:00.000000000Z'
                                active_until: null
                                created_by_actor:
                                  type: system
                                  id: null
                                interaction_type: email
                                interacted_at: '2023-01-01T15:00:00.000000000Z'
                                owner_actor:
                                  type: workspace-member
                                  id: a976f6a9-fc2b-4acb-91e7-afb2d18b4e64
                                attribute_type: interaction
                            twitter:
                              - active_from: '2023-01-01T15:00:00.000000000Z'
                                active_until: null
                                created_by_actor:
                                  type: system
                                  id: null
                                value: https://x.com/johnsmith
                                attribute_type: text
                            avatar_url:
                              - active_from: '2023-01-01T15:00:00.000000000Z'
                                active_until: null
                                created_by_actor:
                                  type: system
                                  id: null
                                value: >-
                                  https://d1ts43dypk8bqh.cloudfront.net/v1/avatars/b792e7f9-003d-494f-a7b4-a53251c621e6
                                attribute_type: text
                            job_title:
                              - active_from: '2023-01-01T15:00:00.000000000Z'
                                active_until: null
                                created_by_actor:
                                  type: system
                                  id: null
                                value: Software Engineer
                                attribute_type: text
                            next_calendar_interaction:
                              - active_from: '2023-01-01T15:00:00.000000000Z'
                                active_until: null
                                created_by_actor:
                                  type: system
                                  id: null
                                interaction_type: email
                                interacted_at: '2023-01-01T15:00:00.000000000Z'
                                owner_actor:
                                  type: workspace-member
                                  id: a976f6a9-fc2b-4acb-91e7-afb2d18b4e64
                                attribute_type: interaction
                            company:
                              - active_from: '2023-01-01T15:00:00.000000000Z'
                                active_until: null
                                created_by_actor:
                                  type: system
                                  id: null
                                target_object: companies
                                target_record_id: f528bd86-8142-4359-9a8c-b651d50a27b1
                                attribute_type: record-reference
                            primary_location:
                              - active_from: '2023-01-01T15:00:00.000000000Z'
                                active_until: null
                                created_by_actor:
                                  type: system
                                  id: null
                                line_1: 1 Infinite Loop
                                line_2: null
                                line_3: null
                                line_4: null
                                locality: Cupertino
                                region: CA
                                postcode: '95014'
                                country_code: US
                                latitude: '37.331741'
                                longitude: '-122.030333'
                                attribute_type: location
                            angellist:
                              - active_from: '2023-01-01T15:00:00.000000000Z'
                                active_until: null
                                created_by_actor:
                                  type: system
                                  id: null
                                value: https://angellist.com/johnsmith
                                attribute_type: text
                            description:
                              - active_from: '2023-01-01T15:00:00.000000000Z'
                                active_until: null
                                created_by_actor:
                                  type: workspace-member
                                  id: a976f6a9-fc2b-4acb-91e7-afb2d18b4e64
                                value: Developer met at event
                                attribute_type: text
                            strongest_connection_user:
                              - active_from: '2023-01-01T15:00:00.000000000Z'
                                active_until: null
                                created_by_actor:
                                  type: system
                                  id: null
                                referenced_actor_type: workspace-member
                                referenced_actor_id: a976f6a9-fc2b-4acb-91e7-afb2d18b4e64
                                attribute_type: actor-reference
                            strongest_connection_strength:
                              - active_from: '2023-01-01T15:00:00.000000000Z'
                                active_until: null
                                created_by_actor:
                                  type: system
                                  id: null
                                option:
                                  id:
                                    workspace_id: ca10906c-6785-464e-bb6c-b003e63c6a18
                                    object_id: cf49cf53-dbb4-4d18-87fc-28aba21d7a49
                                    attribute_id: 7914c8c4-34b1-42b6-9e4c-4db8baa58bfa
                                    option_id: e37175a9-94f3-410f-bb29-78287bc1c444
                                  title: Very strong
                                  is_archived: false
                                attribute_type: select
                            last_email_interaction:
                              - active_from: '2023-01-01T15:00:00.000000000Z'
                                active_until: null
                                created_by_actor:
                                  type: system
                                  id: null
                                interaction_type: email
                                interacted_at: '2023-01-01T15:00:00.000000000Z'
                                owner_actor:
                                  type: system
                                  id: a976f6a9-fc2b-4acb-91e7-afb2d18b4e64
                                attribute_type: interaction
                            email_addresses:
                              - active_from: '2023-01-01T15:00:00.000000000Z'
                                active_until: null
[...]
